## WebKitBackForwardListItem WebKitBackForwardListItem — One item of the WebKitBackForwardList |

## Functions

const gchar * | webkit_back_forward_list_item_get_title ()
const gchar * | webkit_back_forward_list_item_get_uri ()
const gchar * | webkit_back_forward_list_item_get_original_uri ()

## Types and Values

struct | WebKitBackForwardListItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── WebKitBackForwardListItem

## Description

A history item is part of the WebKitBackForwardList and consists out of a title and a URI.

## Functions

### webkit_back_forward_list_item_get_title ()

    const gchar *
    webkit_back_forward_list_item_get_title
                                   (WebKitBackForwardListItem *list_item);

#### Parameters

list_item | a WebKitBackForwardListItem |

#### Returns

the page title of `list_item` or `NULL` when the title is empty.

### webkit_back_forward_list_item_get_uri ()

    const gchar *
    webkit_back_forward_list_item_get_uri (WebKitBackForwardListItem *list_item);

This URI may differ from the original URI if the page was, for example, redirected to a new location. See also `webkit_back_forward_list_item_get_original_uri()`.

#### Parameters

list_item | a WebKitBackForwardListItem |

#### Returns

the URI of `list_item` or `NULL` when the URI is empty.

### webkit_back_forward_list_item_get_original_uri ()

    const gchar *
    webkit_back_forward_list_item_get_original_uri
                                   (WebKitBackForwardListItem *list_item);

See also `webkit_back_forward_list_item_get_uri()`.

#### Parameters

list_item | a WebKitBackForwardListItem |

#### Returns

the original URI of `list_item` or `NULL` when the original URI is empty.

## Types and Values

### struct WebKitBackForwardListItem

    struct WebKitBackForwardListItem;

## See Also

WebKitBackForwardList